﻿using Microsoft.Xna.Framework;
using Terraria;
using Terraria.ID;
using Terraria.ModLoader;
using Terraria.ObjectData;

namespace YoyosMod.Tiles          //We need this to basically indicate the folder where it is to be read from, so you the texture will load correctly
{
    public class YoyoCrateTile : ModTile
    {
        public override void SetStaticDefaults()
        {
            Main.tileSolidTop[Type] = true;     //this make so the tile is solid on top like a table
            Main.tileFrameImportant[Type] = true;
            Main.tileTable[Type] = true;   //this make so you can place another tile on the top

            ItemDrop = ModContent.ItemType<Items.YoyoCrateItem>();

            TileObjectData.newTile.CopyFrom(TileObjectData.Style2x2);
            TileObjectData.addTile(Type);

        }
    }
}