using Microsoft.Xna.Framework;
using System;
using Terraria;
using Terraria.ID;
using Terraria.ModLoader;

namespace YoyosMod.Projectiles
{
	//ported from my tAPI mod because I'm lazy
	public class hallowedk : ModProjectile
	{
		public override void SetStaticDefaults() {
			ProjectileID.Sets.CultistIsResistantTo[Projectile.type] = false;
		}

		public override void SetDefaults() {
			Projectile.width = 10;
			Projectile.height = 24;
			Projectile.aiStyle = 2;
            Projectile.alpha = 255;
			Projectile.friendly = true;
			Projectile.tileCollide = true;
			Projectile.ignoreWater = true;
			Projectile.DamageType = DamageClass.Ranged;
			AIType = ProjectileID.ThrowingKnife;
		}

		public override void AI() {
			if (Projectile.alpha > 70) {
				Projectile.alpha -= 15;
				if (Projectile.alpha < 70) {
					Projectile.alpha = 70;
				}
			}
		}
	}
}